import { Component, ReactElement } from 'react';
declare type Props = {
    value?: string;
    placeholder?: string;
    onChange?: (value: string) => void;
};
declare type State = {
    value: string;
};
export declare class TimeInput extends Component<Props, State> {
    state: {
        value: string;
    };
    lastVal: string;
    isValid(val: string): boolean;
    onChange(value: string): void;
    render(): ReactElement;
}
export {};
